--- title: "Searching blocked user" slug: "game-gamepot-userblockget" tags: ["GAMEPOT"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/game-gamepot-userblockget" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Searching blocked user View to see if a user is blocked by user UID. ## Requested ``` GET https://dashboard-api.gamepot.ntruss.com/v1/api/project/{projectId}/user/{userId}/block ``` | Item | Type | Requirement Status | Description | Remarks | | --- | --- | --- | --- | --- | | projectId | String | O | GAMEPOT SDK's projectId | | | userId | String | O | GAMEPOT SDK's userId | | ### Request header | Header name | Requirement Status | Description | | --- | --- | --- | | x-api-key | O | Authentication key issued by GAMEPOT | | accept-language | X | Language in use | ## Response | Field name | Type | Description | | --- | --- | --- | | status | Int | Result value (1: success) | | id | String | ID for user block information | | member_id | String | User ID | | deleted | Boolean | Whether to delete user block information (true: deleted, false: normal) | | type | String | Block classification (manual, autopurchase) | | status | Int | Status (1: active, 2: inactive) | | message | String | Block reason (currently deprecated) | | lang | String | Block message language | | value | String | Block reason message | | default | Boolean | Default language settings (If the device's language value is not present in messageMulti, messages set to true are displayed by default.) | | startedAt | String | Block start date | | endedAt | String | Block end date | | createdAt | Boolean | Block registration date | | updatedAt | Boolean | Block modification date | | deletedAt | Boolean | Block deletion date | | category_id | String | Block classification ID | ## Examples ### Request examples ``` curl --request GET \ --url https://dashboard-api.gamepot.ntruss.com/v1/api/project/12a0f2ff-xxxx-xxxx-xxxx-9c13ef02f5fs/user/h43ea8e8-xxxx-xxxx-xxxx-531a46d25eef/block \ --header 'accept-language: ko' \ --header 'x-api-key: 86dcgffae0641745432as02a8801ce5a5475f764fxxxxxxxxx' ``` ### Response examples ``` { "status": 1, "result": { "id": "xxxxxxxxxxxxxx", "member_id": "xxxxxxxxxxxxxx", "deleted": false, "type": "manual", "status": 1, "message": null, "messageMulti": [ { "lang": "ko", "value": "Test-ko", "default": true } ], "startedAt": "Mon May 11 2020 12:02:00 GMT+0900 (GMT+09:00)", "endedAt": "Mon May 25 2020 22:00:00 GMT+0900 (GMT+09:00)", "createdAt": "Tue May 12 2020 14:06:40 GMT+0900 (GMT+09:00)", "updatedAt": "Tue May 12 2020 14:06:40 GMT+0900 (GMT+09:00)", "deletedAt": null, "category_id": "" } } ``` ## Error Code These are the common error codes that occur in response to GAMEPOT Open API requests. | Parameter | Description | | --- | --- | | status | Errors (1: success, see the error code in case of failures) | | message | Error description | | Error Code | Description | | --- | --- | | -1 | When a key that doesn't exist in the dashboard has been used | | -2 | When the dashboard's key and the header's key are different | | -3 | When a key deleted from the dashboard has been used | | -4 | When a key processed as "not used" on the dashboard has been used | | -5 | When a key has expired | | -6 | When the project ID doesn't exist | ``` { "status": -6, "message": "projectId was wrong." } ```